Skip to content

/oauth2/introspect

POST
/oauth2/introspect
curl --request POST \
--url https://gymgym.club/api/auth/oauth2/introspect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "client_id": "example", "client_secret": "example", "token": "example", "token_type_hint": "example" }'

Introspect an OAuth2 access or refresh token

Media typeapplication/json
object
client_id

OAuth2 client ID

string
client_secret

OAuth2 client secret

string
token
required

The token to introspect (access or refresh token)

string
token_type_hint

Hint about the token type. Recognized values: access_token, refresh_token.

string
Examplegenerated
{
"client_id": "example",
"client_secret": "example",
"token": "example",
"token_type_hint": "example"
}

Token introspection response

Media typeapplication/json
object
active
required

Whether the token is active

boolean
scope

Scopes associated with the token

string
client_id

Client ID associated with the token

string
username

Username associated with the token

string
token_type

Type of the token

string
exp

Expiration time of the token (seconds since epoch)

number
iat

Issued at time (seconds since epoch)

number
nbf

Not before time (seconds since epoch)

number
sub

Subject of the token

string
aud

Audience of the token

string
iss

Issuer of the token

string
jti

JWT ID

string
Examplegenerated
{
"active": true,
"scope": "example",
"client_id": "example",
"username": "example",
"token_type": "example",
"exp": 1,
"iat": 1,
"nbf": 1,
"sub": "example",
"aud": "example",
"iss": "example",
"jti": "example"
}

Invalid request or error response

Media typeapplication/json
object
error
required
string
error_description
string
error_uri
string
Examplegenerated
{
"error": "example",
"error_description": "example",
"error_uri": "example"
}

Unauthorized. Due to missing or invalid authentication.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Forbidden. You do not have permission to access this resource or to perform this action.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Not Found. The requested resource was not found.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Too Many Requests. You have exceeded the rate limit. Try again later.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Internal Server Error. This is a problem with the server that you cannot fix.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}